<?php

namespace App\DataTransferObjects;

use App\Enums\UserType;
use App\Http\Requests\Auth\RegisterRequest;

readonly class RegisterUserDto{
    public function __construct(
        public readonly ?UserType $userType,
        public readonly string $name,
        public readonly string $email,
        public readonly string $password,
        public readonly string $mobileNumber,
        public readonly ?string $gender,
        public readonly ?string $dateOfBirth,
        public readonly ?string $occupation,
        public readonly ?string $hobbies,
        public readonly ?string $additionalNumber,
        public readonly ?string $referralCode,
        public readonly ?string $deviceName,
    ){

    }

    public static function fromRequest(RegisterRequest $request)
    {
        return new self(
            userType: UserType::from($request->validated('user_type')),
            name: $request->validated('name'),
            email: $request->validated('email'),
            password: $request->validated('password'),
            mobileNumber: $request->validated('mobile_number'),
            gender: $request->validated('gender'),
            dateOfBirth: $request->validated('date_of_birth'),
            occupation: $request->validated('occupation'),
            hobbies: $request->validated('hobbies'),
            additionalNumber: $request->validated('additional_number'),
            referralCode: $request->validated('referral_code'),
            deviceName: $request->validated('device_name'),
        );
    }
}
