<?php

namespace App\Helpers;

use Illuminate\Http\JsonResponse;

class ResponseHandler{
    public static function sendResponse(bool $status, string $message = '', ?array $data = [], ?array $errors = [], int $statusCode, ?array $headers = []): JsonResponse
    {
        $response = [
            'status' => $status,
        ];

        if (!blank($message))
        {
            $response['message'] = $message;
        }

        if (!blank($data))
        {
            $response['data'] = $data;
        }

        if (!blank($errors))
        {
            $response['errors'] = $errors;
        }

        return response()->json(
            data: $response,
            status: $statusCode,
            headers: $headers
        );
    }
}
