<?php

namespace App\Http\Controllers\Api\Auth;

use App\DataTransferObjects\RegisterUserDto;
use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\RegisterRequest;
use App\Models\Referral;
use App\Models\User;
use App\Services\RegistrationService;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class RegisteredUserController extends Controller
{
    /**
     * Handle an incoming registration request.
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function store(RegisterRequest $request, RegistrationService $registrationService): JsonResponse
    {
        $registerUserDto = RegisterUserDto::fromRequest($request);
        $user = $registrationService->registerUser($registerUserDto);
        return $this->successResponse('Account created successfully', [
            'token' => $user->createToken($registerUserDto->deviceName ?? 'mobile')->plainTextToken,
            'user_type' => $user->getRoleName()
        ], 201);
    }
}
