<?php

namespace App\Http\Controllers;

use App\Helpers\ResponseHandler;
use Illuminate\Http\JsonResponse;

abstract class Controller
{
    public function successResponse(string $message='', array $data = [], $statusCode = 200, $headers = []): JsonResponse
    {
        return ResponseHandler::sendResponse(
            true,
            message: $message,
            data: $data,
            errors: [],
            statusCode: $statusCode
        );
    }


    public function errorResponse(string $message='', array $errors = [], $statusCode = 400, $headers = []): JsonResponse
    {
        return ResponseHandler::sendResponse(
            false,
            message: $message,
            data: [],
            errors: $errors,
            statusCode: $statusCode
        );
    }


}
