<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class EnsureMobileNumberIsVerified
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {

        if (! $request->user() || ! $request->user()->hasVerifiedMobileNumber()) {
            return response()->json([
                'message' => 'Your email address is not verified.'],
            409);
        }

        return $next($request);
    }
}
