<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Otp extends Model
{
    use HasFactory;
    /**
     * Expiration time of otp generated in minutes
     * @var int
     */
    public const EXPIRATION_TIME = 5;

    protected $fillable = [
        'user_id',
        'code',
        'expires_at',
        'is_used'
    ];

    protected function casts()
    {
        return [
            'expires_at' => 'datetime',
            'code' => 'hashed',
        ];
    }

    public static function generateCode()
    {
        return random_int(1000, 9999);
    }
}
